# ZPhotoSlides, Zope product
# Copyright (C) 2002-2003  Jean-Francois Roche <jfroche@jfroche.be>
#                          Florent Carlier <florent.carlier@insa-rennes.fr>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: __init__.py,v 1.18 2004/03/10 16:22:00 jfroche Exp $'

__author__="""Jean-Francois Roche (jfroche@jfroche.be)"""
__doc__="""Z Photos Slides Initialisation"""
__version__='$Revision: 1.18 $'[11:-2]


from AccessControl import ModuleSecurityInfo, ClassSecurityInfo, allow_module, allow_class, allow_type

from ZPSPloneBatch import Batch
allow_class(Batch)

import ZPhotoSlides
import ZPhotoSlidesFolder

try:
    from Products.CMFCore.DirectoryView import registerDirectory 
    from Products.CMFCore import utils, CMFCorePermissions 
except: 
    have_cmf = 0 
else: 
    have_cmf = 1

misc_ = {}
def initialize(context):
        context.registerClass(
            ZPhotoSlides.ZPhotoSlides,
            constructors=(ZPhotoSlides.manage_addZPhotoSlidesForm,ZPhotoSlides.manage_addZPhotoSlides),
            icon='www/photo.gif'
            )
        context.registerClass(
            ZPhotoSlidesFolder.ZPhotoSlidesFolder,
            constructors = (ZPhotoSlidesFolder.manage_addZPhotoSlidesFolderForm, ZPhotoSlidesFolder.manage_addZPhotoSlidesFolder),
            icon = 'www/photofolder.gif'
            )
	context.registerHelp()
	context.registerHelpTitle('ZPhotoSlides')

	registerIcon('carte1.jpg')
	registerIcon('timbre.jpg')
	registerIcon('carte_ligne.gif')
	registerIcon('mainbar.gif')
	registerIcon('orient1.gif')
	registerIcon('orient2.gif')
	registerIcon('orient3.gif')

        if(have_cmf == 1): 
            contentClasses = (ZPhotoSlides.ZPhotoSlides, ZPhotoSlidesFolder.ZPhotoSlidesFolder, )
            contentConstructors = (ZPhotoSlides.manage_addZPhotoSlides, ZPhotoSlidesFolder.manage_addZPhotoSlidesFolder, ) 
            install_globals = globals() # Used only in the Extensions/Install.py scrip
            utils.ContentInit(
                 'ZPhotoSlides',
                 content_types = contentClasses, 
                 permission = "Add ZPhotoSlides",
                 extra_constructors = contentConstructors,
                 fti = (ZPhotoSlides.factory_type_information,),
                 ).initialize(context) 

import OFS, App

def registerIcon(filename, idreplacer={}):
	objectid = filename
	for k,v in idreplacer.items():
		objectid= objectid.replace(k,v)
	setattr(OFS.misc_.misc_.ZPhotoSlides,
	        objectid,
		App.ImageFile.ImageFile('www/%s' % filename, globals())
		)
