# ZPhotoSlides, Zope product
# Copyright (C) 2002-2003  Jean-Francois Roche <jfroche@jfroche.be>
#                          Florent Carlier <florent.carlier@insa-rennes.fr>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: comment.py,v 1.6 2004/02/27 09:26:05 jfroche Exp $'

from OFS.Folder import Folder
from Persistence import Persistent
import Acquisition

class comm(Persistent):
    """a comment"""
    def __init__(self,id_photo,commt,user,place,date,ip,email):
        self.ip = ip
        self.id = id_photo
        self.commt = commt
        self.date = date
        self.user = user
        self.place = place
        self.email = email
        self._p_changed = 1
       
class comments(Persistent,Acquisition.Implicit):
    """the comment system"""
    def __init__(self):
        self.liste = []
    def add_new(self, id_photo,commt,user,place,date,ip,email):
        dict = comm(id_photo,commt,user,place,date,ip,email)
        l = self.liste
        l.append(dict)
        self.liste = l
    def __repr__(self):
         return str(self.liste)
    def index(self, item):
         return self.liste.index(item)
    def __getitem__(self, i):
         return self.liste[i]
    def __setitem__(self, i, item):
        self.liste[i] = item
        self._p_changed = 1
    def remove(self, item):
        self.liste.remove(item)
        self._p_changed = 1
    def empty(self):
        "Say if the comment list is empty"
        if(len(self.liste)):
           return 1
        else:
           return 0
    def __len__(self): return len(self.liste)
    def __delitem__(self, i):
        del self.liste[i]
        self._p_changed = 1
